# log4cpp::threading::MSScopedLock Class Reference

A simple object wrapper around WaitForSingleObject() and ReleaseMutex(). More...

`#include <MSThreads.hh>`

List of all members.

## Public Member Functions

| MSScopedLock (MSMutex &mutex)
| ~MSScopedLock ()

## Detailed Description

A simple object wrapper around WaitForSingleObject() and ReleaseMutex().

## Constructor & Destructor Documentation

log4cpp::threading::MSScopedLock::MSScopedLock | ( | MSMutex & | mutex | ) | `[inline]`

log4cpp::threading::MSScopedLock::~MSScopedLock | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- MSThreads.hh